For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardGet started
  • Getting Started
    • Introduction
    • Quickstart
    • Errors
  • Core Concepts
    • Capabilities
    • Containers
    • Gateway
    • Wallets and top-ups
    • Grants and controls
    • Mandates
    • Approvals
    • Receipts
    • Settlements
  • Authentication
    • Authentication overview
    • Wallet sign-in (SIWE)
    • Connected apps (OAuth)
  • Guides
    • Call a capability
    • Monetize an API
    • Apply for public capability
    • Realtime notifications
  • Agents
    • MCP
    • CLI
  • Admin
    • Capability applications
  • API Reference
    • Overview
    • Authentication
  • Generated API Explorer
      • GETOAuth metadata
      • POSTDynamic client registration
      • GETAuthorization endpoint (renders consent screen)
      • POSTSubmit consent decision
      • POSTToken endpoint (exchange code or refresh)
      • POSTRevoke a refresh token
LogoLogo
DashboardGet started
Generated API ExplorerO Auth

Authorization endpoint (renders consent screen)

GET
/oauth/authorize
GET
/oauth/authorize
$curl -G https://api.lipafy.xyzyz/oauth/authorize \
> -d response_type=code \
> -d client_id=client_id \
> -d redirect_uri=redirect_uri \
> -d code_challenge=code_challenge \
> -d code_challenge_method=S256
200Retrieved
1{}
Was this page helpful?
Previous

Submit consent decision

Next
Built with

Query parameters

response_typeenumRequired
Allowed values:
client_idstringRequired
redirect_uristringRequiredformat: "uri"
scopestringOptional
statestringOptional
code_challengestringRequired
code_challenge_methodenumRequired
Allowed values:

Response

HTML consent screen